Bug 1577282 - Fedora 28 x86_64 DVD won't install if only 1GB of RAM present
Summary: Fedora 28 x86_64 DVD won't install if only 1GB of RAM present
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 15:16 UTC by wd
Modified: 2019-05-28 20:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:26:35 UTC
Type: Bug


Attachments (Terms of Use)

Description wd 2018-05-11 15:16:37 UTC
Description of problem:

If a machine only has 1024MB of RAM, the Fedora 28 DVD installer will get to the desktop, but just hangs there.


Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-28-1.1.iso


How reproducible:
Every time

Steps to Reproduce:
1. Create a VM that has only 1024MB of RAM.
2. Install Fedora 28 Live x86_64

Actual results:
Desktop displays, but appears to be frozen.

Expected results:
Installer starts.

Additional info:
The optical drive activity light is solidly on.  I see no way to interact with the system.
https://docs.fedoraproject.org/f28/release-notes/welcome/Hardware_Overview.html indicates that 1GB is the minimum requirements for Fedora 28.  But it appears that more than 1GB is required for the default way of getting it installed.

Even trying the "inst.text" boot option (which appears to do nothing), or settings the "textinst" boot option (which doesn't seem to be official) doesn't allow the live DVD to get to the installer.  Bumping up the VM RAM to 1.2GB allows the installer to start.

Updating the documentation is surely the easiest fix.  Though I'm at a loss for how to get Fedora 28 Desktop installed on a 1GB system, if it is indeed possible.

Comment 1 Vendula Poncova 2018-05-14 10:24:37 UTC
Please, attach all files /tmp/*log with anaconda logs.

Comment 2 wd 2018-05-14 17:03:40 UTC
I'm not sure how I'd be able to access such logs, given the scenario I've outlined in the original report:
1) The OS isn't yet installed (it gets as far as showing the desktop in live DVD mode)
2) The system is unresponsive to any input, including Ctrl-Alt-Del.

Comment 3 Vendula Poncova 2018-05-15 10:59:13 UTC
You are right, my mistake. We will investigate the minimum requirements.

Comment 4 Ben Cotton 2019-05-02 19:21:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-02 21:40:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:26:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.